Name:           python3-EigenPy
Version:        2.7.10
Release:        5%{?dist}
Summary:        Efficient Python bindings between Numpy/Eigen

License:        BSD
URL:            https://github.com/stack-of-tasks/eigenpy
Source:         https://github.com/stack-of-tasks/eigenpy/releases/download/v%{version}/eigenpy-%{version}.tar.gz
patch1:         eigenpy.patch

BuildRequires:  python3-devel boost-devel python3-numpy cmake gcc-c++ eigen3-devel python-setuptools

%description
Python interface for the Eigen library

%prep
%setup -q -n eigenpy-%{version}
%patch 1 -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{python3_sitelib}/*
%{_includedir}/eigenpy
%{_libdir}/*.so
%{_libdir}/cmake/eigenpy
%{_libdir}/pkgconfig/eigenpy.pc
%{_datadir}/eigenpy
%{_datadir}/ament_index/resource_index/packages/eigenpy

%changelog
* Fri Jan 26 2024 Bruno Postle <bruno@postle.net> - 2.7.10-5
- rebuild for new boost in f40

* Mon Jul 17 2023 Bruno Postle <bruno@postle.net> - 2.7.10-4
- rebuild with python-setuptools for distutils deprecation

* Tue Apr 18 2023 Bruno Postle <bruno@postle.net> - 2.7.10-3
- rebuild for boost

* Wed Aug 10 2022 Bruno Postle <bruno@postle.net> - 2.7.10-2
- patch for python 3.11

* Tue Aug 09 2022 Bruno Postle <bruno@postle.net> - 2.7.10-1
- rebuild for boost

* Fri Aug 20 2021 Bruno Postle <bruno@postle.net> - 2.6.5-2
- rebuild for boost

* Tue Aug 03 2021 Bruno Postle <bruno@postle.net> - 2.6.5-1
- initial package
